=== debian/changelog ===
boinc-app-seti (5.13+cvs20060510-7) unstable; urgency=low

  * debian/control:
    - Add myself to uploaders
    - Use Standards-Version 3.8.4 (No changes needed)
    - Bump boinc-dev B-D to 6.10.17+dfsg-3 
  * Includes Ilya Barygin <barygin@gmail.com> patchs to fix a FTBFS
    coming since the last upgrade of boinc-dev, thanks for the 
    patches! (Closes: #556817) 
  * debian/rules: 
    - Delete configure to prevent ship the modified file
    - Use `clean' instead of `distclean', dist-clean fails to clean the package.
    - Remove some auto-generated files that are not cleaned on `clean' target
  * Switch to dpkg-source 3.0 (quilt) format
    - Remove quilt from debian/rules and from B-D
    - Remove README.source

 -- Rene Mayorga <rmayorga@debian.org>  Thu, 25 Mar 2010 19:50:29 -0600

boinc-app-seti (5.13+cvs20060510-6) unstable; urgency=low

  * debian/control:
    - Bumped Standards-Version from 3.8.0 to 3.8.1, no changes required.
    - Removed myself from Uploaders.

 -- Frank S. Thomas <fst@debian.org>  Wed, 18 Mar 2009 15:58:52 +0100

boinc-app-seti (5.13+cvs20060510-5) unstable; urgency=low

  [ Frank S. Thomas ]
  * Use debhelper V7 instead of CDBS to minimize debian/rules.
  * debian/control:
    - Fix spelling error in long description. (closes: #501205)
    - Updated Vcs-* fields since we are now using Git.
    - Wrapped Uploaders field because this is permitted since policy 3.8.0.
    - Removed -1 revision from boinc-dev build dependency to satisfy Lintian.
    - Bumped Standards-Version from 3.7.3 to 3.8.0. This required to rename
      debian/README.Debian-source to debian/README.source and to add a note
      that we use quilt for patch management.
  * Added a dummy debian/watch file that explains why upstream tarballs cannot
    be meaningfully monitored to fix Lintian's debian-watch-file-is-missing
    informational tag.
  * debian/patches/:
    - Added 102_fix_typo_for_gcc4.4.patch to fix a FTBFS with GCC 4.4. Thanks
      to Martin Michlmayr <tbm@cyrius.com> for the bug report and the patch.
      (closes: #505012)
    - Added missing descriptions to some patch files to appease Lintian.

 -- Frank S. Thomas <fst@debian.org>  Sun, 08 Feb 2009 11:47:26 +0100

boinc-app-seti (5.13+cvs20060510-4) unstable; urgency=low

  [ Steffen Moeller ]
  * debian/rules: Wrote get-orig-source target that downloads the latest
    nightly tarball.

  [ Frank S. Thomas ]
  * debian/control.in:
    - Bumped Standards-Version from 3.7.2 to 3.7.3, no changes required.
    - Changed my maintainer address to fst@debian.org.
  * debian/rules: Remove --disable-dependency-tracking from configure's
    arguments, because it breaks some handwritten rules in client/Makefile.am
    which require that $(DEPDIR) exists.
  * Bumped debhelper compat level from V5 to V6 since this is the current
    recommended level and raised the build dependency to "debhelper (>= 6)".
  * debian/patches/: Added 201_missing_header_for_gcc4.3.patch in order to
    fix a FTBFS with recent GCC 4.3 snapshots. Thanks to Martin Michlmayr
    <tbm@cyrius.com> for the bug report. (closes: #462051)

 -- Frank S. Thomas <fst@debian.org>  Wed, 23 Jan 2008 21:27:23 +0100

boinc-app-seti (5.13+cvs20060510-3) unstable; urgency=low

  * debian/rules: Remove two binary files that are not removed by "make clean"
    and use clean instead of distclean as DEB_MAKE_CLEAN_TARGET, because
    distclean removes files that are needed to build this package. These
    changes fixes the FTBFS if build twice in a row. (closes: #442513)
  * debian/control.in:
    - Moved Homepage pseudo field in the long description to the source stanza
      because this is now a propper debian/control field supported by dpkg.
    - fftw3-dev was renamed to libfftw3-dev, adjusted Build-Depends
      accordingly.

 -- Frank S. Thomas <frank@thomas-alfeld.de>  Thu, 11 Oct 2007 16:21:39 +0200

boinc-app-seti (5.13+cvs20060510-2) unstable; urgency=low

  * debian/boinc-app-seti-prerm: Stop the BOINC core client before removing
    the SETI@home symlinks from the data directory to prevent the client from
    downloading new work units although no application to process these is
    present. (related to: #415765)
  * debian/control.in:
    - Added XS-Vcs fields to the source stanza.
    - Improved the description of the package and explicitly stated that this
      package is not needed on i386 and amd64 hosts since SETI@home supports
      those architectures officially.
  * debian/copyright: Added copyright information for glut/Roman.stroke and
    glut/stroke.h and added a copyright note about the Debian packaging.
  * Changed from dpatch to the quilt patch system.
  * debian/patches/:
    - 004_include_new_str_util.h.patch added. The strlcpy() and strlcat()
      functions that were previously declared in boinc-dev/lib/util.h have
      been moved in BOINC 5.10 to the new boinc-dev/lib/str_util.h header
      file, so we need to include this new header in some files. Bumped build
      dependency to "boinc-dev (>= 5.10.8-1)" accordingly. (closes: #433737)
    - 003_dont_use_own_jpeglib.patch modified to prevent that setiathome is
      linked against libjpeg. This ensures predictability of the dependecy
      list, see http://lists.debian.org/debian-devel/2007/07/msg00588.html for
      details.

 -- Frank S. Thomas <frank@thomas-alfeld.de>  Thu, 19 Jul 2007 14:21:27 +0200

boinc-app-seti (5.13+cvs20060510-1) unstable; urgency=low

  * Initial release based on Steffen Moeller's boinc-client-seti package.

 -- Frank S. Thomas <frank@thomas-alfeld.de>  Mon, 22 May 2006 09:09:03 +0200
