=== debian/control ===
Source: boinc-app-seti
Section: science
Priority: optional
Maintainer: Debian BOINC Maintainers <pkg-boinc-devel@lists.alioth.debian.org>
Uploaders: Steffen Moeller <steffen_moeller@gmx.de>,
 Christoph Martin <christoph.martin@uni-mainz.de>, Rene Mayorga <rmayorga@debian.org>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 7), automake1.9 (>= 1.9.3),
 autoconf (>= 2.59), boinc-dev (>= 6.10.17+dfsg-3), libfftw3-dev
Vcs-Git: git://git.debian.org/git/pkg-boinc/boinc-app-seti.git
Vcs-Browser: http://git.debian.org/?p=pkg-boinc/boinc-app-seti.git
Homepage: http://setiathome.berkeley.edu/

Package: boinc-app-seti
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, boinc-client (>= 5.4.3-1)
Description: SETI@home application for the BOINC client
 SETI@home is a distributed computing project using Internet-connected
 computers for the Search for Extraterrestrial Intelligence (SETI). It
 searches for possible evidence of extraterrestrial intelligence in
 radio transmissions collected by the Arecibo radio telescope.
 .
 This package contains the SETI@home Enhanced application for the BOINC
 distributed computing platform. The BOINC client downloads the radio
 data which the SETI@home application analyzes looking for signals of
 extraterrestrial origin. Results are then send back to the SETI@home
 server by the BOINC client.
 .
 Note that this package has been primarily created for users of
 architectures for which SETI@home does not provide its application.
 If your architecture is x86 or AMD64 the BOINC client automatically
 downloads the latest SETI@home application if you participate in this
 project. There is no need to install this package then.
