## boinc-app-seti 6.12~svn1305

=== debian/changelog ===
boinc-app-seti (6.12~svn1305-2ubuntu1) quantal; urgency=low

  * debian/patches/004_disable_altivec_on_ppc_linux.patch: Disable use of
    altivec on PPC in the case of LINUX. Fixes FTBFS.

 -- Ben Collins <bcollins@ubuntu.com>  Tue, 12 Jun 2012 22:28:38 -0400

boinc-app-seti (6.12~svn1305-2) unstable; urgency=low

  * debian/control:
    - remove quilt from build-depends.
    - add myself in Uploaders.
  * debian/rules:
    - add dh_install in override target to install app_info.xml and seti.cfg.
    - use dpkg-buildflags to add -g and default hardening options.

 -- Guo Yixuan <culu.gyx@gmail.com>  Thu, 24 May 2012 23:16:40 +0800

boinc-app-seti (6.12~svn1305-1) unstable; urgency=low

  * New upstream version.
    - Removed all patches
    - Adjusted debian/rules for dynamic linking
  * Updated debian/control
    - Steffen's uploader's email address, removed Martin
    - Set priority to extra (from optional)
  * Bumped policy compliance to 3.9.3
    - Source format 3.0
    - Adjusted clean target to allow repeated builds with git
    - added build-arch/-indep debian/rules targets
  * README.Debian and README.source get some extra wording

 -- Steffen Moeller <moeller@debian.org>  Sat, 19 May 2012 15:17:06 +0200

boinc-app-seti (5.28~20080105-1) UNRELEASED; urgency=low

  [ Frank S. Thomas ]
  * New upstream snapshot from 05 Jan 2008.
  * debian/patches/:
    - Removed 001_build_fixes.patch and 004_include_new_str_util.h.patch
      because they are not required for the new upstream version.
    - Updated 002_disable_static_linkage.patch and
      003_dont_use_own_jpeglib.patch for the new release.
  * debian/control:
    - Bumped Standards-Version from 3.8.0 to 3.8.1, no changes required.
    - Removed myself from Uploaders.

  [ Fernando C. Estrada ]
  * debian/control:
    - Bumped Standards-Version from 3.8.1 to 3.8.4, no changes required.
    - Added my self as a Uploader.

 -- Fernando C. Estrada <fcestrada@fcestrada.com>  Tue, 23 Mar 2010 21:55:22 -0600

boinc-app-seti (5.13+cvs20060510-7.1) unstable; urgency=low

  * Non-maintainer upload.
  * Includes Ilya Barygin <barygin@gmail.com> patchs to fix a FTBFS
    coming since the last upgrade of boinc-dev, thanks for the
    patches! (Closes: #614443)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 14 May 2012 23:58:40 +0800
