=== debian/control ===
--- 
+++ 
@@ -1,12 +1,15 @@
 Source: boinc-app-seti
 Section: science
-Priority: optional
-Maintainer: Debian BOINC Maintainers <pkg-boinc-devel@lists.alioth.debian.org>
-Uploaders: Steffen Moeller <steffen_moeller@gmx.de>,
- Christoph Martin <christoph.martin@uni-mainz.de>, Rene Mayorga <rmayorga@debian.org>
-Standards-Version: 3.8.4
-Build-Depends: debhelper (>= 7), automake1.9 (>= 1.9.3),
- autoconf (>= 2.59), boinc-dev (>= 6.10.17+dfsg-3), libfftw3-dev
+Priority: extra
+XSBC-Original-Maintainer: Debian BOINC Maintainers <pkg-boinc-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Uploaders: Steffen Moeller <moeller@debian.org>,
+ Fernando C. Estrada <fcestrada@fcestrada.com>,
+ Guo Yixuan <culu.gyx@gmail.com>
+Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 7.0.50~), automake1.9 (>= 1.9.3),
+ autoconf (>= 2.59), boinc-dev (>= 5.10.8),
+ libfftw3-dev
 Vcs-Git: git://git.debian.org/git/pkg-boinc/boinc-app-seti.git
 Vcs-Browser: http://git.debian.org/?p=pkg-boinc/boinc-app-seti.git
 Homepage: http://setiathome.berkeley.edu/
@@ -30,4 +33,7 @@
  architectures for which SETI@home does not provide its application.
  If your architecture is x86 or AMD64 the BOINC client automatically
  downloads the latest SETI@home application if you participate in this
- project. There is no need to install this package then.
+ project. There is no need to install this package then, except for
+ it to take all technical hurdles from you to have your very custom
+ SETI patch or new compiler flags evaluated. The configuration of
+ BOINC to find the local SETI binary is all performed by the package.
