=== debian/changelog ===
boinc-app-seti (6.97~svn1409-1) unstable; urgency=low

  [Eric J. Korpela]
  * app_info.xml: setiathome_enhanced replies to version 6 and 7 jobs

  [Guo Yixuan]
  * Removed Windows binaries in source tree, and some other files, see
    README.source.
  * New upstream version:
    - sah_v7 branch becomes trunk.
    - new feature: autocorrelation.
    - re-enabled 003_dont_use_own_jpeglib.patch, and refreshed some patches.

  [Steffen Moeller]
  * debian/control: boinc-app-seti suggests boinc-manager

 -- Guo Yixuan <culu.gyx@gmail.com>  Tue, 28 Aug 2012 11:05:07 +0800

boinc-app-seti (6.12~svn1385-3) unstable; urgency=low

  * Correcting for previous dependency on libs of BOINC 7.0.33.

 -- Steffen Moeller <moeller@debian.org>  Mon, 20 Aug 2012 23:11:29 +0200

boinc-app-seti (6.12~svn1385-2) UNRELEASED; urgency=low

  [Guo Yixuan]

  * debian/patches/004_disable_altivec_on_ppc_linux.patch: Disable use of
    altivec on PPC in the case of LINUX. Fixes FTBFS, thanks to Ben Collins
    <bcollins@ubuntu.com>.

  [Steffen Moeller]

  * Removed Fernando from uploaders.
  * SETI DMUA flag for Guo Yixuan.

 -- Guo Yixuan <culu.gyx@gmail.com>  Sun, 19 Aug 2012 14:56:37 +0800

boinc-app-seti (6.12~svn1385-1) unstable; urgency=low

  * New upstream version.
  * Reduced warnings during compilation.

 -- Steffen Moeller <moeller@debian.org>  Sat, 18 Aug 2012 19:49:53 +0200

boinc-app-seti (6.12~svn1306-3) UNRELEASED; urgency=low

  * Platform-specific optimisations back in
  * Disabled AltiVec for PowerPC because of FTBFS otherwise

 -- Steffen Moeller <moeller@debian.org>  Wed, 15 Aug 2012 13:18:56 +0200

boinc-app-seti (6.12~svn1306-2) unstable; urgency=low

  * debian/rules: auto_clean improved.
  * increased verbosity of stderr
  * someone somewhen changed build-dependency to boinc-dev
    (from libboinc-app-dev) (Closes: #679757).
  * fixes crash on amd64 as it seems (Closes: #674248)

 -- Steffen Moeller <moeller@debian.org>  Sun, 12 Aug 2012 00:31:34 +0200

boinc-app-seti (6.12~svn1306-1) unstable; urgency=low

  * New upstream version.
  * Added inclusion<cmath> for kfreebsd (Closes: #675839)

 -- Steffen Moeller <moeller@debian.org>  Tue, 29 May 2012 23:52:47 +0200

boinc-app-seti (6.12~svn1305-3) UNRELEASED; urgency=low

  [ Steffen Moeller ]
  * Rebuilt against libboinc-app, and libboinc with it,
    substituting dependency on boinc-dev.

  [ Guo Yixuan ]
  * Try to fix ftbfs on freebsd and powerpc.
  * Install checkin_notes as upstream changelog.

 -- Steffen Moeller <moeller@debian.org>  Mon, 28 May 2012 20:00:10 +0200
