=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: boinc-app-seti
 Section: science
 Priority: extra
-XSBC-Original-Maintainer: Debian BOINC Maintainers <pkg-boinc-devel@lists.alioth.debian.org>
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Debian BOINC Maintainers <pkg-boinc-devel@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
- Fernando C. Estrada <fcestrada@fcestrada.com>,
  Guo Yixuan <culu.gyx@gmail.com>
+DM-Upload-Allowed: yes
 Standards-Version: 3.9.3
 Build-Depends: debhelper (>= 7.0.50~), automake1.9 (>= 1.9.3),
- autoconf (>= 2.59), boinc-dev (>= 5.10.8),
+ autoconf (>= 2.59),
+ boinc-dev (>= 7) | libboinc-app-dev,
  libfftw3-dev
 Vcs-Git: git://git.debian.org/git/pkg-boinc/boinc-app-seti.git
 Vcs-Browser: http://git.debian.org/?p=pkg-boinc/boinc-app-seti.git
@@ -16,7 +16,8 @@
 
 Package: boinc-app-seti
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, boinc-client (>= 5.4.3-1)
+Depends: ${misc:Depends},${shlibs:Depends}, boinc-client (>= 5.4.3-1)
+Suggests: boinc-manager
 Description: SETI@home application for the BOINC client
  SETI@home is a distributed computing project using Internet-connected
  computers for the Search for Extraterrestrial Intelligence (SETI). It
@@ -37,3 +38,18 @@
  it to take all technical hurdles from you to have your very custom
  SETI patch or new compiler flags evaluated. The configuration of
  BOINC to find the local SETI binary is all performed by the package.
+
+Package: boinc-app-seti-dbg
+Architecture: any
+Depends: ${misc:Depends}, boinc-app-seti (= ${binary:Version})
+Section: debug
+Description: debug symbols for SETI@home
+ SETI@home is a distributed computing project using Internet-connected
+ computers for the Search for Extraterrestrial Intelligence (SETI). It
+ searches for possible evidence of extraterrestrial intelligence in
+ radio transmissions collected by the Arecibo radio telescope.
+ .
+ This package provide debug information. It comes handy when you have
+ optimised the code of SETI yourself and find it crash or be stuck in
+ an infinite loop or you may be asked to install the package for some
+ joint investigation with the SETI core developers.
