=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
 
-PKG = boinc-app-seti
+# PKG = boinc-app-seti
 
 export CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
 export CFLAGS   := $(shell dpkg-buildflags --get CFLAGS)
@@ -41,20 +41,22 @@
 #endif
 
 
-CXXFLAGS += -O3
-CXXFLAGS += -I/usr/include/boinc -I/usr/include/boinc/lib -I/usr/include/boinc/api
-# some handwritten rules in client/Makefile.am seems to use CFLAGS only
-# [FIXME] remove duplicates
-CFLAGS += -O3
-CFLAGS += -I/usr/include/boinc -I/usr/include/boinc/lib -I/usr/include/boinc/api
+# Append this to CFLAGS and CXXFLAGS.
+CFLAGS_APPEND += -O3
+CFLAGS_APPEND += -I/usr/include/boinc -I/usr/include/boinc/lib -I/usr/include/boinc/api
+
+# Although all source file are C++, some handwritten rules in
+# client/Makefile.am seem to use CFLAGS only.
+CFLAGS   += $(CFLAGS_APPEND)
+CXXFLAGS += $(CFLAGS_APPEND)
 
 
-SETIEXTRAFLAGS=
-
+# This is a shame, but there is yet no AltiVec for Linux PowerPC with SETI
+SETIEXTRAFLAGS= --disable-altivec
 
 ifeq ($(DEB_BUILD_GNU_CPU),x86_64)
   SETIEXTRAFLAGS += --enable-sse3
-  SETIEXTRAFLAGS += --enable-sse2 --enable-sse --enable-mmx
+#  SETIEXTRAFLAGS += --enable-sse2 --enable-sse --enable-mmx
 endif
 
 ifeq ($(DEB_BUILD_GNU_CPU),i686)
@@ -62,8 +64,10 @@
 endif
 
 
+# Get upstream version from debian version.
 UPSTREAM_VERSION = $(shell dpkg-parsechangelog | egrep '^Version:' | \
-  cut -d ' ' -f 2 | cut -d '-' -f 1 | cut -d '+' -f 1 | cut -d '~' -f 1)
+  cut -d ' ' -f 2 | cut -d '-' -f 1 | cut -d '+' -f 1 | cut -d '~' -f 1 | perl -pe 's/^.*?://')
+# Remove dot "." in upstream version for use in app_info.xml
 APP_INFO_VERSION = $(subst .,,$(UPSTREAM_VERSION))
 
 
@@ -75,17 +79,16 @@
 	# Remember to not configure with --disable-dependency-tracking, because
 	# it breaks some handwritten rules in client/Makefile.am which require
 	# that DEPDIR exists.
-	BOINCDIR=/usr/share/boinc-dev ./configure \
+	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" \
+	BOINCDIR=/usr/include/boinc ./configure \
 	  --disable-static-client \
+	  --disable-static \
+	  --enable-shared \
 	  --enable-client \
 	  --disable-graphics \
-	  --disable-dynamic-graphics \
 	  --disable-server \
-	  --disable-static-linkage \
 	  --enable-dependency-tracking \
-	  --disable-static \
-	  --enable-shared \
-	  --with-gnu-ld
+	  --with-gnu-ld $(SETIEXTRAFLAGS)
 
 override_dh_auto_clean:
 	if [ -r Makefile ]; then make clean; fi
@@ -94,15 +97,26 @@
 	rm -f client/seti_boinc client/hires_timer_test tools/fakedata tools/workunit_resample tools/workunit_to_ascii
 	dh_clean \
 	  client/setiathome-$(UPSTREAM_VERSION).* \
+	  client/setiathome_enhanced \
 	  debian/extra/app_info.xml
+	# may be seen after invoking binary
+	rm -f client/boinc_finish_called client/result.sah client/state.sah client/stderr.txt client/wisdom.sah client/work_unit.sah client/boinc_lockfile
+	# generated by autoconf
 	rm -f  Makefile Makefile.in aclocal.m4 assimilator/Makefile assimilator/Makefile.in client/Makefile client/Makefile.in config.log config.status configure db/Makefile db/schema_to_class db/tools/Makefile jpeglib/Makefile jpeglib/Makefile.in libtool sah_config.h.in splitter/Makefile splitter/Makefile.in stamp-h1 tools/Makefile tools/Makefile.in validate/Makefile
+	rm -f sah_config.h
 
+override_dh_installchangelogs:
+	dh_installchangelogs -k checkin_notes
 
 override_dh_install: 
-	cp client/seti_boinc debian/$(PKG)/usr/lib/$(PKG)/setiathome_enhanced
+	cp -f client/seti_boinc client/setiathome_enhanced
 	cat debian/extra/app_info.xml.in | \
 	  sed -e 's/VERSION/$(APP_INFO_VERSION)/' > debian/extra/app_info.xml
 	dh_install
+
+
+override_dh_strip:
+	dh_strip --dbg-package=boinc-app-seti-dbg
 
 
 origDir ?= .
@@ -113,16 +127,10 @@
 	  exit; \
 	fi; \
 	cd $(origDir); \
-	DLS=/tmp/download-seti; \
+	EXP=/tmp/download-seti; \
 	TODAY=`date +%Y-%m-%d | tr -d '\n'`; \
-	svn export svn://svn.debian.org/pkg-boinc/scripts/download-seti $$DLS; \
-	echo "Attempting to retrieve today's ($$TODAY) tarball."; \
-	$$DLS $$TODAY || ( \
-	  YESTERDAY=`date -d yesterday +%Y-%m-%d | tr -d '\n'`; \
-	  echo "Today's ($$TODAY) tarball could not be downloaded."; \
-	  echo "Now attempting to retrieve yesterday's ($$YESTERDAY) tarball."; \
-	  $$DLS $$YESTERDAY; \
-	); \
-	rm -f $$DLS
+	nice="nice -5"; if [ -x /usr/bin/ionice ]; then nice="$$nice ionice -c 3"; fi ; \
+	$$nice wget -O$$EXP "http://git.debian.org/?p=pkg-boinc/scripts.git;a=blob_plain;f=export-seti;hb=HEAD" --quiet && \
+	chmod +x $$EXP && $$EXP && rm -f $$EXP
 
 .PHONY: get-orig-source
