## boinc-app-seti 7.00~svn1933

=== debian/changelog ===
boinc-app-seti (7.00~svn1933-1) unstable; urgency=low

  * New upstream release.
  * Removed win_build, mac_build, vector_lib, jpeglib
    not used in building and not completely listed in copyright file.
  * debian/copyright and README.sources have been updated.
  * dropping 101_freebsd_build.patch and separate_build_dir.patch,
    accepted upstream.
  * Removed debian/watch, unused.
  * Little changes in debian/README.source files.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 25 Jul 2013 09:38:04 +0200

boinc-app-seti (7.00~svn1883-3) UNRELEASED; urgency=low

  * Remove astropulse in app_info.xml.in.

 -- Guo Yixuan <culu.gyx@gmail.com>  Thu, 18 Jul 2013 09:57:38 +0800

boinc-app-seti (7.00~svn1883-2) unstable; urgency=low

  [ Gianfranco Costamagna ]
  * Added libxmu-dev, libxi-dev as build-depends
  * Added boinc-manager as boinc-app-seti suggests fields
  * Tweaked some version checks in control file
  * Rebuild against boinc 7.1.21+dfsg-1
    to fix a FTBFS in ubuntu 13.10.

  [ Guo Yixuan ]
  * Added a new package: boinc-app-seti-graphics, which provide
    a visualizer for seti.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 27 Jun 2013 13:13:29 +0200

boinc-app-seti (7.00~svn1883-1) unstable; urgency=low

  * New upstream release.
  * New app_info.xml file (Closes: #711734)

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 21 Jun 2013 17:51:45 +0200

boinc-app-seti (7.00~svn1854-2) UNRELEASED; urgency=low

  * Disabled checkin_notes in dh_install_changelogs
    not updated anymore.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Tue, 18 Jun 2013 11:23:57 +0200

boinc-app-seti (7.00~svn1854-1) unstable; urgency=low

  * New upstream release.
    - Makefiles bugs fixed.
  * Added libgsl0-dev as build-dep.
  * Disabled checkin_notes in dh_install_changelogs
    not updated anymore.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 24 May 2013 11:33:48 +0200

boinc-app-seti (7.00~svn1828-1) UNRELEASED; urgency=low

  * New upstream release.
  * Enabling hardening flags.
  * Bumped debian/compat to 9.
  * Build-dep updated to boinc 7.0.65+dfsg-2 to avoid FTBFS
  * Removed some build-dep version requirement

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 02 May 2013 16:59:58 +0200

boinc-app-seti (7.00~svn1791-1) UNRELEASED; urgency=low

  * New upstream release.
    - Removed Makefile and Makefile.in from splitter_* directories
  * Fixed debian/rules clean script

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 25 Mar 2013 10:11:53 +0100

boinc-app-seti (7.00~svn1772-1) UNRELEASED; urgency=low

  * New upstream release.
  * Removed glut from source tree and disabled.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 25 Feb 2013 11:35:32 +0100

boinc-app-seti (7.00~svn1708-1) UNRELEASED; urgency=low

  [ Gianfranco Costamagna ]
  * New upstream version.
  * debian/control
    - Bumped policy compliance to 3.9.4, no changes required.

  [ Guo Yixuan ]
  * Updated README.source.

  [ Steffen Moeller ]
  * Added link time optimisation
    - compiler bug demands g++ version >= 4.8
    - only building in experimental until 4.8 is in unstable

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 05 Nov 2012 14:48:54 +0100

boinc-app-seti (7.00~svn1704-1) UNRELEASED; urgency=low

  * New upstream version.

 -- Guo Yixuan <culu.gyx@gmail.com>  Sat, 03 Nov 2012 00:02:38 +0800

boinc-app-seti (7.00~svn1703-1) UNRELEASED; urgency=low

  * New upstream version.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 02 Nov 2012 12:52:08 +0100

boinc-app-seti (6.97~svn1409-2) UNRELEASED; urgency=low

  * Reorganize debian/patches.

 -- Guo Yixuan <culu.gyx@gmail.com>  Sun, 23 Sep 2012 22:53:02 +0800
