=== debian/control ===
--- 
+++ 
@@ -3,21 +3,29 @@
 Priority: extra
 Maintainer: Debian BOINC Maintainers <pkg-boinc-devel@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
- Guo Yixuan <culu.gyx@gmail.com>
-DM-Upload-Allowed: yes
-Standards-Version: 3.9.3
-Build-Depends: debhelper (>= 7.0.50~), automake1.9 (>= 1.9.3),
- autoconf (>= 2.59),
- boinc-dev (>= 7) | libboinc-app-dev,
- libfftw3-dev
-Vcs-Git: git://git.debian.org/git/pkg-boinc/boinc-app-seti.git
-Vcs-Browser: http://git.debian.org/?p=pkg-boinc/boinc-app-seti.git
+ Guo Yixuan <culu.gyx@gmail.com>,
+ Gianfranco Costamagna <costamagnagianfranco@yahoo.it>
+Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9),
+ automake,
+ dpkg-dev (>= 1.16.1.1),
+ boinc-dev (>= 7.1.21+dfsg) | libboinc-app-dev (>= 7.1.21+dfsg),
+ autoconf,
+ libfftw3-dev,
+ libgsl0-dev,
+ freeglut3-dev,
+ libjpeg-dev,
+ libxmu-dev,
+ libxi-dev
+Vcs-Git: git://anonscm.debian.org/pkg-boinc/boinc-app-seti.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-boinc/boinc-app-seti.git
 Homepage: http://setiathome.berkeley.edu/
 
 Package: boinc-app-seti
 Architecture: any
-Depends: ${misc:Depends},${shlibs:Depends}, boinc-client (>= 5.4.3-1)
+Depends: ${misc:Depends}, ${shlibs:Depends}, boinc-client
 Suggests: boinc-manager
+Conflicts: boinc-app-seti-graphics
 Description: SETI@home application for the BOINC client
  SETI@home is a distributed computing project using Internet-connected
  computers for the Search for Extraterrestrial Intelligence (SETI). It
@@ -38,10 +46,44 @@
  it to take all technical hurdles from you to have your very custom
  SETI patch or new compiler flags evaluated. The configuration of
  BOINC to find the local SETI binary is all performed by the package.
+ .
+ This package only provides command line application.
+ The boinc-app-seti-graphics package provides graphic application.
+
+Package: boinc-app-seti-graphics
+Architecture: any
+Depends: ${misc:Depends},${shlibs:Depends}, boinc-client
+Suggests: boinc-manager
+Conflicts: boinc-app-seti
+Description: SETI@home application for the BOINC client (with graphics)
+ SETI@home is a distributed computing project using Internet-connected
+ computers for the Search for Extraterrestrial Intelligence (SETI). It
+ searches for possible evidence of extraterrestrial intelligence in
+ radio transmissions collected by the Arecibo radio telescope.
+ .
+ This package contains the SETI@home Enhanced application for the BOINC
+ distributed computing platform. The BOINC client downloads the radio
+ data which the SETI@home application analyzes looking for signals of
+ extraterrestrial origin. Results are then send back to the SETI@home
+ server by the BOINC client.
+ .
+ Note that this package has been primarily created for users of
+ architectures for which SETI@home does not provide its application.
+ If your architecture is x86 or AMD64 the BOINC client automatically
+ downloads the latest SETI@home application if you participate in this
+ project. There is no need to install this package then, except for
+ it to take all technical hurdles from you to have your very custom
+ SETI patch or new compiler flags evaluated. The configuration of
+ BOINC to find the local SETI binary is all performed by the package.
+ .
+ This package provides graphic interface for SETI@HOME Enhanced application.
+ The boinc-app-seti package only provides command line application.
 
 Package: boinc-app-seti-dbg
 Architecture: any
-Depends: ${misc:Depends}, boinc-app-seti (= ${binary:Version})
+Depends: ${misc:Depends},
+ boinc-app-seti (= ${binary:Version}) |
+ boinc-app-seti-graphics (= ${binary:Version})
 Section: debug
 Description: debug symbols for SETI@home
  SETI@home is a distributed computing project using Internet-connected
