=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,19 @@
 #export CXX=/usr/lib/gcc-snapshot/bin/g++
 #export CPP=/usr/lib/gcc-snapshot/bin/cpp
 
+# Uncomment for particular version of gcc
+#export  CC := gcc-4.7
+#export CXX := g++-4.7
+#export CPP := cpp-4.7
+
+# Uncomment for clang (llvm)
+#export CC  = clang
+#export CXX = clang
+
+# Set default flags with dpkg-buildflags
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 DEB_BUILD_GNU_CPU  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)
 DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
@@ -42,20 +55,36 @@
 
 
 # Append this to CFLAGS and CXXFLAGS.
+CFLAGS_APPEND += -I/usr/include/boinc -I/usr/include/boinc/lib -I/usr/include/boinc/api
+
+ifneq (clang,$(CXX))
 CFLAGS_APPEND += -O3
-CFLAGS_APPEND += -I/usr/include/boinc -I/usr/include/boinc/lib -I/usr/include/boinc/api
+#CFLAGS_APPEND += -mnative
+#CFLAGS_APPEND += -mno-avx
+#CFLAGS_APPEND += -msse4.2
+GCCVERSION=$(shell $(CXX) --version | tr " " "\n" | egrep '^[0-9]+\.[0-9]+\.[0-9]+$$' | cut -f1,2 -d.)
+# gcc 4.6 on precise has issues while gcc 4.7 and 4.8 on sid are just fine with -mno-avx set on non bulldozer/SandyBridge machines
+# CFLAGS_APPEND += -flto
+# LDFLAGS += -flto
+endif
+
+ifeq (clang,$(CXX))
+GCCVERSION=$(shell $(CXX) --version | tr " " "\n" | egrep '^[0-9]+\.[0-9]+-[0-9]+$$' | cut -f1 -d-)
+CFLAGS_APPEND += -O3
+# -O4 implies link-time optimisation with clang, fails
+endif
 
 # Although all source file are C++, some handwritten rules in
 # client/Makefile.am seem to use CFLAGS only.
 CFLAGS   += $(CFLAGS_APPEND)
 CXXFLAGS += $(CFLAGS_APPEND)
 
-
 # This is a shame, but there is yet no AltiVec for Linux PowerPC with SETI
 SETIEXTRAFLAGS= --disable-altivec
 
 ifeq ($(DEB_BUILD_GNU_CPU),x86_64)
   SETIEXTRAFLAGS += --enable-sse3
+#  SETIEXTRAFLAGS += --disable-avx
 #  SETIEXTRAFLAGS += --enable-sse2 --enable-sse --enable-mmx
 endif
 
@@ -74,49 +103,59 @@
 %:
 	dh $@ --parallel
 
-override_dh_auto_configure:
-	aclocal-1.9 -I m4 && autoheader && automake-1.9 && autoconf
-	# Remember to not configure with --disable-dependency-tracking, because
-	# it breaks some handwritten rules in client/Makefile.am which require
-	# that DEPDIR exists.
-	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" \
-	BOINCDIR=/usr/include/boinc ./configure \
+CFGFLAGS = \
 	  --disable-static-client \
 	  --disable-static \
 	  --enable-shared \
 	  --enable-client \
-	  --disable-graphics \
 	  --disable-server \
 	  --enable-dependency-tracking \
 	  --with-gnu-ld $(SETIEXTRAFLAGS)
 
+override_dh_auto_configure:
+	aclocal -I m4 && autoheader && automake && autoconf
+	# Remember to not configure with --disable-dependency-tracking, because
+	# it breaks some handwritten rules in client/Makefile.am which require
+	# that DEPDIR exists.
+	#
+	# use two directories for graphics/nographics
+	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" \
+	BOINCDIR=/usr/include/boinc dh_auto_configure --builddirectory=graphics \
+	  -- $(CFGFLAGS) --enable-graphics
+	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" \
+	BOINCDIR=/usr/include/boinc dh_auto_configure --builddirectory=nographics \
+	  -- $(CFGFLAGS) --disable-graphics
+
+override_dh_auto_build:
+	dh_auto_build -O--parallel --builddirectory=graphics
+	dh_auto_build -O--parallel --builddirectory=nographics
+
 override_dh_auto_clean:
-	if [ -r Makefile ]; then make clean; fi
-	find . -name "*.o" -delete
-	find . -name ".deps" -a -type d | xargs -r rm -r
-	rm -f client/seti_boinc client/hires_timer_test tools/fakedata tools/workunit_resample tools/workunit_to_ascii
-	dh_clean \
-	  client/setiathome-$(UPSTREAM_VERSION).* \
-	  client/setiathome_enhanced \
-	  debian/extra/app_info.xml
 	# may be seen after invoking binary
-	rm -f client/boinc_finish_called client/result.sah client/state.sah client/stderr.txt client/wisdom.sah client/work_unit.sah client/boinc_lockfile
+	# rm -f client/boinc_finish_called client/result.sah client/state.sah client/stderr.txt client/wisdom.sah client/work_unit.sah client/boinc_lockfile client/project_specific_defines.h
 	# generated by autoconf
-	rm -f  Makefile Makefile.in aclocal.m4 assimilator/Makefile assimilator/Makefile.in client/Makefile client/Makefile.in config.log config.status configure db/Makefile db/schema_to_class db/tools/Makefile jpeglib/Makefile jpeglib/Makefile.in libtool sah_config.h.in splitter/Makefile splitter/Makefile.in stamp-h1 tools/Makefile tools/Makefile.in validate/Makefile
-	rm -f sah_config.h
-
-override_dh_installchangelogs:
-	dh_installchangelogs -k checkin_notes
+	rm -rf aclocal.m4 sah_config.h.in Makefile.in assimilator/Makefile.in client/Makefile.in configure splitter_fft/Makefile.in splitter_pfb/Makefile.in tools/Makefile.in
+	# separate building dirs
+	rm -rf graphics/
+	rm -rf nographics/
+	dh_auto_clean
 
 override_dh_install: 
-	cp -f client/seti_boinc client/setiathome_enhanced
-	cat debian/extra/app_info.xml.in | \
+	cp -f nographics/client/seti_boinc  nographics/client/setiathome_enhanced
+	cp -f graphics/client/seti_boinc    graphics/client/setiathome_enhanced
+	cp -f graphics/client/seti_graphics graphics/client/setiathome_graphics
+	cat debian/extra/app_info.xml.in | perl -ne 'print unless /^#/' | \
 	  sed -e 's/VERSION/$(APP_INFO_VERSION)/' > debian/extra/app_info.xml
+	cat debian/extra-graphics/app_info.xml.in | perl -ne 'print unless /^#/' | \
+	  sed -e 's/VERSION/$(APP_INFO_VERSION)/' > debian/extra-graphics/app_info.xml
 	dh_install
 
 
 override_dh_strip:
 	dh_strip --dbg-package=boinc-app-seti-dbg
+
+override_dh_clean:
+	dh_clean debian/extra/app_info.xml debian/extra-graphics/app_info.xml
 
 
 origDir ?= .
